## org.w3c.jigedit.tools
Class ToolsListerFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.frames.PostableFrame
                                                |
                                                +--org.w3c.jigedit.tools.ToolsListerFrame

public class ToolsListerFrame
extends PostableFrame
implements StructureChangedListener

Emit the content of its parent directory.

Fields inherited from class org.w3c.jigsaw.frames.PostableFrame
`ATTR_CONVERT_GET, ATTR_OVERIDE`

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`_allowed, acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`ToolsListerFrame()`

Method Summary
`org.w3c.jigsaw.http.Reply` | `getDirectoryListing(org.w3c.jigsaw.http.Request request)` Get the directory listing.
`protected org.w3c.tools.resources.ResourceReference` | `getDirResourceRef()`
`protected org.w3c.jigsaw.http.Reply` | `getOtherResource(org.w3c.jigsaw.http.Request request)`
`org.w3c.jigsaw.http.Reply` | `handle(org.w3c.jigsaw.http.Request request, URLDecoder data)` Handle the form submission, after posted data parsing.
`void` | `registerResource(org.w3c.tools.resources.FramedResource resource)`
`void` | `resourceCreated(StructureChangedEvent evt)` Unused here.
`void` | `resourceModified(StructureChangedEvent evt)` Unused here.
`void` | `resourceRemoved(StructureChangedEvent evt)` A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.
`void` | `resourceUnloaded(StructureChangedEvent evt)`

Methods inherited from class org.w3c.jigsaw.frames.PostableFrame
`get, getConvertGetFlag, getOverrideFlag, post, setValue`

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame

`addStyleSheet, attributeChanged, browse, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteOtherResource, extended, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getMaxAge, getMD5Flag, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, link, lookup, lookupDirectory, lookupFile, lookupOther, lookupResource, options, perform, performFrames, put, putFileResource, putOtherResource, registerOtherResource, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolsListerFrame

    public ToolsListerFrame()

Method Detail

### getDirResourceRef

    protected org.w3c.tools.resources.ResourceReference getDirResourceRef()

### registerResource

    public void registerResource(org.w3c.tools.resources.FramedResource resource)

  Overrides:
    registerResource in class HTTPFrame

### resourceModified

    public void resourceModified(StructureChangedEvent evt)

  Unused here.
  Specified by:
    resourceModified in interface StructureChangedListener

### resourceCreated

    public void resourceCreated(StructureChangedEvent evt)

  Unused here.
  Specified by:
    resourceCreated in interface StructureChangedListener

### resourceUnloaded

    public void resourceUnloaded(StructureChangedEvent evt)

  Specified by:
    resourceUnloaded in interface StructureChangedListener

### resourceRemoved

    public void resourceRemoved(StructureChangedEvent evt)

  A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.
  Specified by:
    resourceRemoved in interface StructureChangedListener
  Parameters:
    `evt` - The event describing the change.

### getDirectoryListing

    public org.w3c.jigsaw.http.Reply getDirectoryListing(org.w3c.jigsaw.http.Request request)
                                                  throws org.w3c.tools.resources.ProtocolException,
                                                         org.w3c.tools.resources.ResourceException

  Get the directory listing.
  Parameters:
    `request` - the incomming request.
  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs
    org.w3c.tools.resources.ResourceException - if a server error occurs
  Overrides:
    getDirectoryListing in class HTTPFrame

### getOtherResource

    protected org.w3c.jigsaw.http.Reply getOtherResource(org.w3c.jigsaw.http.Request request)
                                                  throws org.w3c.tools.resources.ProtocolException,
                                                         org.w3c.tools.resources.ResourceException

  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs
    org.w3c.tools.resources.ResourceException - if a server error occurs
  Overrides:
    getOtherResource in class HTTPFrame

### handle

    public org.w3c.jigsaw.http.Reply handle(org.w3c.jigsaw.http.Request request,
                                            URLDecoder data)
                                     throws org.w3c.tools.resources.ProtocolException

  Handle the form submission, after posted data parsing.

  This method ought to be abstract, but for reasonable reason, it will just dump (parsed) the form content back to the client, so that it can be used for debugging.

  Parameters:
    `request` - The request proper.
    `data` - The parsed data content.
  Throws:
    org.w3c.tools.resources.ProtocolException - If form data processing failed.
  Overrides:
    handle in class PostableFrame
  See Also:
    `URLDecoder`